import { SchemeColor } from './models';

export type SchemeSet = {
  primary: SchemeColor;
  onPrimary: SchemeColor;
  primaryContainer: SchemeColor;
  onPrimaryContainer: SchemeColor;
  primaryFixed: SchemeColor;
  onPrimaryFixed: SchemeColor;
  primaryFixedDim: SchemeColor;
  onPrimaryFixedVaraint: SchemeColor;
  secondary: SchemeColor;
  onSecondary: SchemeColor;
  secondaryContainer: SchemeColor;
  onSecondaryContainer: SchemeColor;
  secondaryFixed: SchemeColor;
  onSecondaryFixed: SchemeColor;
  secondaryFixedDim: SchemeColor;
  onSecondaryFixedVaraint: SchemeColor;
  tertiary: SchemeColor;
  onTertiary: SchemeColor;
  tertiaryContainer: SchemeColor;
  onTertiaryContainer: SchemeColor;
  tertiaryFixed: SchemeColor;
  onTertiaryFixed: SchemeColor;
  tertiaryFixedDim: SchemeColor;
  onTertiaryFixedVaraint: SchemeColor;
  error: SchemeColor;
  onError: SchemeColor;
  errorContainer: SchemeColor;
  onErrorContainer: SchemeColor;
  surface: SchemeColor;
  surfaceDim: SchemeColor;
  surfaceBright: SchemeColor;
  onSurface: SchemeColor;
  onSurfaceVariant: SchemeColor;
  surfaceContainerLowest: SchemeColor;
  surfaceContainerLow: SchemeColor;
  surfaceContainer: SchemeColor;
  surfaceContainerHigh: SchemeColor;
  surfaceContainerHighest: SchemeColor;
  inverseSurface: SchemeColor;
  onInverseSurface: SchemeColor;
  inversePrimary: SchemeColor;
  outline: SchemeColor;
  outlineVariant: SchemeColor;
  scrim: SchemeColor;
  shadow: SchemeColor;
};
